label: Navigations
icon: menu

fields:
	headlineHeader:
		label: Header
		type: headline


	linksHeader:
		label: Navigation principale
		type: structure
		max: 10
		

		columns:
			label: true
			typeLink: true

		fields:
			typeLink:
				label: Type
				type: toggles
				default: link
				options:
					- value: link
						text: Lien
						icon: url
					- value: submenu
						text: Sous-menu
						icon: list-bullet

			label:
				label: Titre
				type: text
				required: true
				maxlength: 40

			link:
				label: Lien
				type: link
				options:
					- page
					- url
				when:
					typeLink: link

			subMenu:
				label: Sous-menu
				type: structure
				fields:       
					label:
						label: Titre du lien
						type: text
						required: true
						maxlength: 40
					
					link:
						label: Lien
						type: link
						options:
							- page
							- url

				when:
					typeLink: submenu

	headlineFooter:
		label: Footer
		type: headline

	infosFooter:
		label: Informations
		extends: fields/writer-simple
		width: 1/2

	socialMediaAccounts:
		label: Liens des réseaux sociaux
		width: 1/2
		type: object
		fields:
			instagram:
				type: url
				label: Instagram
			facebook:
				type: url
				label: Facebook
			linkedin:
				type: url
				label: LinkedIn
			youtube:
				type: url
				label: YouTube
	
	linksFooter:
		label: Navigation footer
		type: structure
		fields:
			label:
				label: Titre
				type: text
				required: true
				maxlength: 40

			link:
				label: Lien
				type: link
				required: true
				options:
					- page
					- url